/* $Id: iflow.h,v 1.3 2001/12/01 21:53:15 aa5779 Exp $ */
#ifndef IFLOW_H
#define IFLOW_H

#include "flow.h"

#ifndef IFLOW_IMP
extern flow_class inline_flow_class;
#endif

flow_handle_t ilf_open(char *name, char *opts, int writeable);
void ilf_close(flow_handle_t fh);
int ilf_getc(flow_handle_t fh);
int ilf_ungetc(flow_handle_t fh, int ch);
int ilf_putc(flow_handle_t fh, int ch);
int ilf_puts(flow_handle_t fh, char *str);
flow_pos_t ilf_getpos(flow_handle_t fh);
int ilf_setpos(flow_handle_t fh, flow_pos_t fp);
int ilf_rewind(flow_handle_t fh);
char *ilf_flowctl(flow_handle_t fh, char *ctl);

#endif
